libzypp: zypp::solver::detail::SATCollectTransact Class Reference

libzypp 17.38.15

zypp::solver::detail::SATCollectTransact Class Reference

Commit helper functor distributing PoolItem by status into lists. More...

## Public Member Functions
| SATCollectTransact (PoolItemList &items_to_install_r, PoolItemList &items_to_remove_r, PoolItemList &items_to_lock_r, PoolItemList &items_to_keep_r, bool solveSrcPackages_r)
bool | operator() (const PoolItem &item_r)

## Private Attributes
PoolItemList & | _items_to_install
PoolItemList & | _items_to_remove
PoolItemList & | _items_to_lock
PoolItemList & | _items_to_keep
bool | _solveSrcPackages

## Detailed Description

Commit helper functor distributing PoolItem by status into lists.

On the fly it clears all PoolItem bySolver/ByApplLow status. The lists are cleared in the Ctor, populated by operator().

Definition at line 375 of file SATResolver.cc.

## Constructor & Destructor Documentation

## ◆ SATCollectTransact()

zypp::solver::detail::SATCollectTransact::SATCollectTransact | ( | PoolItemList & | items_to_install_r,
|  | PoolItemList & | items_to_remove_r,
|  | PoolItemList & | items_to_lock_r,
|  | PoolItemList & | items_to_keep_r,
|  | bool | solveSrcPackages_r )
| inline

Definition at line 377 of file SATResolver.cc.

## Member Function Documentation

## ◆ operator()()

bool zypp::solver::detail::SATCollectTransact::operator() | ( | const PoolItem & | item_r | ) |
| inline

Definition at line 394 of file SATResolver.cc.

## Member Data Documentation

## ◆ _items_to_install

PoolItemList& zypp::solver::detail::SATCollectTransact::_items_to_install
| private

Definition at line 425 of file SATResolver.cc.

## ◆ _items_to_remove

PoolItemList& zypp::solver::detail::SATCollectTransact::_items_to_remove
| private

Definition at line 426 of file SATResolver.cc.

## ◆ _items_to_lock

PoolItemList& zypp::solver::detail::SATCollectTransact::_items_to_lock
| private

Definition at line 427 of file SATResolver.cc.

## ◆ _items_to_keep

PoolItemList& zypp::solver::detail::SATCollectTransact::_items_to_keep
| private

Definition at line 428 of file SATResolver.cc.

## ◆ _solveSrcPackages

bool zypp::solver::detail::SATCollectTransact::_solveSrcPackages
| private

Definition at line 429 of file SATResolver.cc.

The documentation for this class was generated from the following file:

- zypp/solver/detail/SATResolver.cc